:host {
  overflow: hidden;
  position: relative;
  display: block;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;

  &.add {
    border: 1px dashed black;
  }
}

img {
  height: 100%;
  width: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: block;
  z-index: 2;
}

label > input[type="file"] {
  position: absolute;
  top: 0px;
  left: -9999px;
  width: 0;
  height: 0;
  overflow: 0;
}

.upload-image-actions {
  position: relative;
  z-index: 1;
}

.upload-actions {
  height: 100%;
}
